namespace System.Web.Security
{
	using System;
	using System.IO;
	using System.Collections.Specialized;
	using System.Web.Security;
	using System.Xml;
	using System.Xml.Serialization;

	/// <summary>
	/// Summary description for azProvider
	/// </summary>
	public class AzMembershipProvider : MembershipProvider
	{
		string _url;
		string _name;
		public override void Initialize(string name, NameValueCollection config)
		{
			if (config == null)
			{
				throw new ArgumentNullException("config");
			}
			if ((name == null) || (name.Length == 0))
			{
				name = "AzProvider";
			}
			_name = name;
			if (config["url"] == null)
				throw new ArgumentNullException("Missing 'url' parameter!");
			else
				_url = config["url"];
			base.Initialize(name, config);
		}

		public override bool ValidateUser(string name, string password)
		{
			try
			{
				localhost.Validate v = new localhost.Validate();
				return v.ValidateUser(name, password);
			}
			catch
			{
				return false;
			}
		}
		public override MembershipUser CreateUser(string username, string password, string email, string passwordQuestion, string passwordAnswer, bool isApproved, object providerUserKey, out MembershipCreateStatus status)
		{
			localhost.Validate v = new localhost.Validate();
			if (v.CreateUser(username, password, email))
			{
				status = MembershipCreateStatus.Success;
				return new MembershipUser(
				_name,
				username,
				"xxx",
				email,
				passwordQuestion,
				string.Empty,
				true,
				false,
				DateTime.MinValue,
				DateTime.MinValue,
				DateTime.MinValue,
				DateTime.MinValue,
				DateTime.MinValue);
			}
			else
			{
				status = MembershipCreateStatus.UserRejected;
				return null;
			}
		}
		public override bool RequiresQuestionAndAnswer
		{
			get { return false; }
		}
		public override string Name
		{
			get { return _name; }
		}

		#region "Soppressi"
		public override bool EnablePasswordRetrieval
		{
			get { throw new global::System.NotImplementedException(); }
		}
		public override bool EnablePasswordReset
		{
			get { throw new global::System.NotImplementedException(); }
		}
		public override string ApplicationName
		{
			get
			{
				throw new global::System.NotImplementedException();
			}

			set
			{
				throw new global::System.NotImplementedException();
			}
		}

		public override bool ChangePassword(string name, string oldPassword, string newPassword)
		{
			throw new NotImplementedException();
		}
		public override bool ChangePasswordQuestionAndAnswer(string name, string password, string newPasswordQuestion, string newPasswordAnswer)
		{
			throw new NotImplementedException();
		}

		public override string GetPassword(string name, string answer)
		{
			throw new NotImplementedException();
		}

		public override string ResetPassword(string name, string answer)
		{
			throw new NotImplementedException();
		}
		public override MembershipUserCollection FindUsersByEmail(string emailToMatch, int pageIndex, int pageSize, out int totalRecords)
		{
			throw new NotImplementedException();
		}

		public override MembershipUserCollection FindUsersByName(string usernameToMatch, int pageIndex, int pageSize, out int totalRecords)
		{
			throw new NotImplementedException();
		}

		public override int GetNumberOfUsersOnline()
		{
			throw new NotImplementedException();
		}

		public override MembershipUserCollection GetAllUsers(int pageIndex, int pageSize, out int totalRecords)
		{
			throw new NotImplementedException();
		}

		public override bool DeleteUser(string name, bool deleteAllRelatedData)
		{
			throw new NotImplementedException();
		}

		public override string GetUserNameByEmail(string email)
		{
			throw new NotImplementedException();
		}

		public override MembershipUser GetUser(string name, bool userIsOnline)
		{
			throw new NotImplementedException();
		}

		public override void UpdateUser(MembershipUser user)
		{
			throw new NotImplementedException();
		}
		public override int MaxInvalidPasswordAttempts
		{
			get { throw new Exception("The method or operation is not implemented."); }
		}
		public override int MinRequiredNonAlphanumericCharacters
		{
			get { throw new Exception("The method or operation is not implemented."); }
		}
		public override int MinRequiredPasswordLength
		{
			get { throw new Exception("The method or operation is not implemented."); }
		}
		public override int PasswordAttemptWindow
		{
			get { throw new Exception("The method or operation is not implemented."); }
		}
		public override MembershipPasswordFormat PasswordFormat
		{
			get { throw new Exception("The method or operation is not implemented."); }
		}
		public override bool RequiresUniqueEmail
		{
			get { throw new Exception("The method or operation is not implemented."); }
		}
		public override string PasswordStrengthRegularExpression
		{
			get { throw new Exception("The method or operation is not implemented."); }
		}
		public override bool UnlockUser(string userName)
		{
			throw new Exception("The method or operation is not implemented.");
		}
		public override MembershipUser GetUser(object providerUserKey, bool userIsOnline)
		{
			throw new Exception("The method or operation is not implemented.");
		}
		#endregion
	}
}